#49 Numpy 1.8 support on Windows

Next Release

Numpy released version 1.8 at the end of October 2013. Our current Windows builds only support 1.6 and 1.7.

A build for numpy 1.8 should be generated (either for this or the next release).


  • Jonathan Niehof

    Jonathan Niehof - 2014-03-14

    The only thing where we're dependent on the NumPy C API (which should be the only issue here) is in the trace2d extension module, which isn't directly used by anything else in SpacePy. So the 1.7 builds should mostly work (they might even work for that module.)

    In 0.1.5, the extension module will become a ctypes library, so we won't have numpy version specific builds anymore. Which makes my life happier. (Of course, then we pick up Python 3 builds....)

  • Steve Morley

    Steve Morley - 2014-03-14

    Until we have a new release/builds, and confirmation that 1.7 builds are 99.9% good on 1.8, should we add comments to this effect somewhere that people will see them? e.g. LANL website download page, front page here?


Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

No, thanks